List projects
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/projects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"projects": [
{
"public_uid": "PJ-1234567",
"title": "Northam Estate",
"street_number": "32",
"street_address": "Northam Drive",
"suburb": "NORTH ROCKS",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"developer": null,
"land_reg_date": "Registered",
"title_type": "Torrens Title",
"title_fees": 0,
"deposit": null,
"properties_count": 3
},
{
"public_uid": "PJ-9999999",
"title": "Master Template Estate",
"street_number": "100",
"street_address": "Template Boulevard",
"suburb": "SYDNEY",
"state": "NSW",
"postcode": "2000",
"region": "SYDNEY",
"country": "AU",
"status": "available",
"developer": null,
"land_reg_date": "Late 2025",
"title_type": "Community Title",
"title_fees": 5000,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-6666666",
"title": "Offline Estate",
"street_number": "10",
"street_address": "Offline Road",
"suburb": "CASTLE HILL",
"state": "NSW",
"postcode": "2154",
"region": "THE HILLS SHIRE",
"country": "AU",
"status": "offline",
"developer": null,
"land_reg_date": "2026",
"title_type": "Torrens Title",
"title_fees": 0,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-5555555",
"title": "Archived Estate",
"street_number": "15",
"street_address": "Archive Avenue",
"suburb": "HORNSBY",
"state": "NSW",
"postcode": "2077",
"region": "HORNSBY",
"country": "AU",
"status": "archived",
"developer": null,
"land_reg_date": "Registered",
"title_type": "Torrens Title",
"title_fees": 0,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-4444444",
"title": "Prerelease Estate",
"street_number": "20",
"street_address": "Coming Soon Street",
"suburb": "CHATSWOOD",
"state": "NSW",
"postcode": "2067",
"region": "WILLOUGHBY",
"country": "AU",
"status": "prerelease",
"developer": null,
"land_reg_date": "Q4 2025",
"title_type": "Community Title",
"title_fees": 3500,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-3333333",
"title": "Community Living Estate",
"street_number": "30",
"street_address": "Community Drive",
"suburb": "NORTH ROCKS",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"developer": null,
"land_reg_date": "Registered",
"title_type": "Community Title",
"title_fees": 5000,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-2222222",
"title": "Strata Heights",
"street_number": "40",
"street_address": "Strata Street",
"suburb": "MACQUARIE PARK",
"state": "NSW",
"postcode": "2113",
"region": "RYDE",
"country": "AU",
"status": "available",
"developer": null,
"land_reg_date": "Mid 2025",
"title_type": "Strata Title",
"title_fees": 3000,
"deposit": null,
"properties_count": 0
}
]
}Stock / Projects
List projects
The agency’s projects.
GET
/
{agency_uid}
/
projects
List projects
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/projects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"projects": [
{
"public_uid": "PJ-1234567",
"title": "Northam Estate",
"street_number": "32",
"street_address": "Northam Drive",
"suburb": "NORTH ROCKS",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"developer": null,
"land_reg_date": "Registered",
"title_type": "Torrens Title",
"title_fees": 0,
"deposit": null,
"properties_count": 3
},
{
"public_uid": "PJ-9999999",
"title": "Master Template Estate",
"street_number": "100",
"street_address": "Template Boulevard",
"suburb": "SYDNEY",
"state": "NSW",
"postcode": "2000",
"region": "SYDNEY",
"country": "AU",
"status": "available",
"developer": null,
"land_reg_date": "Late 2025",
"title_type": "Community Title",
"title_fees": 5000,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-6666666",
"title": "Offline Estate",
"street_number": "10",
"street_address": "Offline Road",
"suburb": "CASTLE HILL",
"state": "NSW",
"postcode": "2154",
"region": "THE HILLS SHIRE",
"country": "AU",
"status": "offline",
"developer": null,
"land_reg_date": "2026",
"title_type": "Torrens Title",
"title_fees": 0,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-5555555",
"title": "Archived Estate",
"street_number": "15",
"street_address": "Archive Avenue",
"suburb": "HORNSBY",
"state": "NSW",
"postcode": "2077",
"region": "HORNSBY",
"country": "AU",
"status": "archived",
"developer": null,
"land_reg_date": "Registered",
"title_type": "Torrens Title",
"title_fees": 0,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-4444444",
"title": "Prerelease Estate",
"street_number": "20",
"street_address": "Coming Soon Street",
"suburb": "CHATSWOOD",
"state": "NSW",
"postcode": "2067",
"region": "WILLOUGHBY",
"country": "AU",
"status": "prerelease",
"developer": null,
"land_reg_date": "Q4 2025",
"title_type": "Community Title",
"title_fees": 3500,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-3333333",
"title": "Community Living Estate",
"street_number": "30",
"street_address": "Community Drive",
"suburb": "NORTH ROCKS",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"developer": null,
"land_reg_date": "Registered",
"title_type": "Community Title",
"title_fees": 5000,
"deposit": null,
"properties_count": 0
},
{
"public_uid": "PJ-2222222",
"title": "Strata Heights",
"street_number": "40",
"street_address": "Strata Street",
"suburb": "MACQUARIE PARK",
"state": "NSW",
"postcode": "2113",
"region": "RYDE",
"country": "AU",
"status": "available",
"developer": null,
"land_reg_date": "Mid 2025",
"title_type": "Strata Title",
"title_fees": 3000,
"deposit": null,
"properties_count": 0
}
]
}